
This lesson took almost a life time to learn. When I was 12 yrs old, I watched as my father got killed in a horrible accident. He was not quite dead when I got to him. I grabbed his arm and tried to pull him free, but it was futile. As I was holding his arm we made eye contact and his last words were, 'I love you.' My other brothers were not at home at the time, it was just me. This was very traumatic, to say the least. After the initial loss, I became increasingly angry at God, angry as to why he let a 12 year old see such a sight. I can never forget something like that. I spent the next 38 years of my life doing my own will. I was not a bad person, but I always felt betrayed. One day, I was sitting at a red light when this blinding light came right through the windshield. A voice started talking to me. He said, 'I was giving you the chance to say good bye and to say l love you, something your brothers never had the chance to do.' Immediately I felt the anger I had inside disappear and I understood exactly what he was saying. I will never question him again.

I don't know if these two things have a common thread, but I would welcome any input. My NDE happened about six months after the car incident.

My NDE

I don't know how long I was lying there, but my wife found me in the backyard. My skin-tone was gray in color and my lips were purple. She tried to revive me, but was unable to so. She called 911. After about 10 to 15 minutes they arrived and hooked me up to the monitor. They only showed flat lines. The hit me about five or six times with electric paddles, but nothing. They told my wife that I did not make it. Just as they were ready to pull the electric leads off of me, there was one beep. They watched as it went across the screen. Seconds later, there was one more beep.

Prior to that time, I had been floating through total darkness with the feeling of indescribable love all around me. I finally came face to face with God. He looked into my eyes. I could tell that he knew everything I had ever done, things I was thinking at that moment, and things I would say or do in the future. You can't lie to God. He was very pleasant and said two things to me. He spoke telepathically from his eyes to mine. He said, 'I'm not ready for you yet. There are things I want you to do first.' Then I came back to consciousness.

The doctors at the local hospital could not help, so they flew me to Allegheny General in Pittsburgh. I quit breathing in the helicopter on the way to hospital. I was dead on arrival. They were able to bring me back again. They told my family that without oxygen for so long, I would probably have severe brain damage. They also said that I had a stroke. I awoke the next morning feeling good. I was visited by a team of cardiologists. They showed me a monitor where they were watching my heart. The bottom third of my heart was shriveled up, blackish in color, and was not functioning at all. They said that they would have to do exploratory open-heart surgery the next morning to see if they could to fix it. I said ok and was completely calm when they told me. Anyone facing that would be a little bit nervous, but I wasn't. As I slept that night, I felt the presence of God come and reach into my chest. I awoke to see a team of cardiologists staring at the monitor, and they were bewildered. My heart was beating perfectly and was no longer shriveled up, nor discolored. They went over to a corner and quietly discussed what had happened. They said to me that they had no explanation. Although the word 'Miracle' was not used I'm sure that it had to cross their minds.

What am I going to do with my life? I'm still not sure, but I do know that God is still in touch with me and steering me in a direction of which I am uncertain. He has shown me signs, but they seem a bit cryptic at this point
